# Administration Reference

## vos create

Purpose

Creates a read/write volume and associated VLDB entry

Synopsis

    vos create -server <machine name>  -partition <partition name>
               -name <volume name>  [-maxquota <initial quota (KB)>]
               [-cell <cell name>]  [-noauth]  [-localauth]  [-verbose]  [-help]

    vos cr -s <machine name>  -p <partition name>  -na <volume name>
           [-m <initial quota (KB)>]  [-c <cell name>]  [-no]  [-l]  [-v]  [-h]

Description

The vos create command creates a read/write volume with the name specified by the -name argument at the site specified by the -server and -partition arguments. In addition, the command allocates or sets the following:

- Volume ID numbers for the read/write volume and its associated read-only and backup volumes (this command does not actually create the latter two types of volume). A volume ID number is an identification number guaranteed to be unique within a cell.

- An access control list (ACL) associated with the volume's root directory, which takes the same name as volume's mount point when the volume is mounted with the fs mkmount command. An entry that grants all seven permissions to the members of the system:administrators group is automatically placed on the ACL. (In addition, the File Server by default always implicitly grants the l (lookup) and a (administer) permissions on every ACL to members of the system:administrators group, even when the group does not appear on an ACL; use the -implicit argument to the fileserver initialization command to alter the set of rights on a server-by-server basis if desired.)

- The volume's space quota, set to 5000 kilobyte blocks by default. Use the -maxquota argument to specify a different quota, or use the fs setquota command to change the volume's quota after mounting the volume with the fs mkmount command.

The volume is empty when created. To access it via the Cache Manager, mount it in the file space by using the fs mkmount command.

Options

-server
  Identifies the file server machine on which to create the read/write volume. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-partition
  Identifies the partition on which to create the read/write volume, on the file server machine specified by the -server argument. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the introductory reference page for the vos command suite.

-name
  Specifies a name for the read/write volume. The maximum length is 22 characters, which can include any alphanumeric or punctuation character. By convention, periods separate the fields in a name. Do not apply the .backup or .readonly extension to a read/write volume name; they are reserved for the Volume Server to add to the read/write name when creating those backup and read-only volumes respectively.

-maxquota
  Specifies the maximum amount of disk space the volume can use, as a number of kilobyte blocks (a value of 1024 is one megabyte). The value 0 (zero) grants an unlimited quota, but the size of the disk partition that houses the volume places an absolute limit on its size. If this argument is omitted, the default value is 5000.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The Volume Server produces the following message to confirm that it created the volume:

       Volume volume_ID created on partition partition_name of machine_name

Examples

The following command creates the read/write volume user.pat on the /vicepf partition of the file server machine fs4.abc.com.

       % vos create -server fs4.abc.com -partition /vicepf -name user.pat
       Volume user.pat created on partition /vicepf of fs4.abc.com

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

Related Information

vos

© IBM Corporation 2000. All Rights Reserved